# Enum Class VulkanImageViewKind

java.lang.Object
java.lang.Enum<VulkanImageViewKind>
com.io7m.jcoronado.api.VulkanImageViewKind

All Implemented Interfaces:
  `VulkanEnumIntegerType, Serializable, Comparable<VulkanImageViewKind>, Constable`

public enum VulkanImageViewKind extends Enum<VulkanImageViewKind> implements VulkanEnumIntegerType
The type of image view.

See Also:
  - "VkImageViewType"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_IMAGE_VIEW_TYPE_1D`
  A 1D image
  `VK_IMAGE_VIEW_TYPE_1D_ARRAY`
  A 1D array image
  `VK_IMAGE_VIEW_TYPE_2D`
  A 2D image
  `VK_IMAGE_VIEW_TYPE_2D_ARRAY`
  A 2D array image
  `VK_IMAGE_VIEW_TYPE_3D`
  A 3D image
  `VK_IMAGE_VIEW_TYPE_CUBE`
  A cube map
  `VK_IMAGE_VIEW_TYPE_CUBE_ARRAY`
  A cube map array image

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanImageViewKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanImageViewKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_IMAGE_VIEW_TYPE_1D

    public static final VulkanImageViewKind VK_IMAGE_VIEW_TYPE_1D
    A 1D image

  - ### VK_IMAGE_VIEW_TYPE_2D

    public static final VulkanImageViewKind VK_IMAGE_VIEW_TYPE_2D
    A 2D image

  - ### VK_IMAGE_VIEW_TYPE_3D

    public static final VulkanImageViewKind VK_IMAGE_VIEW_TYPE_3D
    A 3D image

  - ### VK_IMAGE_VIEW_TYPE_CUBE

    public static final VulkanImageViewKind VK_IMAGE_VIEW_TYPE_CUBE
    A cube map

  - ### VK_IMAGE_VIEW_TYPE_1D_ARRAY

    public static final VulkanImageViewKind VK_IMAGE_VIEW_TYPE_1D_ARRAY
    A 1D array image

  - ### VK_IMAGE_VIEW_TYPE_2D_ARRAY

    public static final VulkanImageViewKind VK_IMAGE_VIEW_TYPE_2D_ARRAY
    A 2D array image

  - ### VK_IMAGE_VIEW_TYPE_CUBE_ARRAY

    public static final VulkanImageViewKind VK_IMAGE_VIEW_TYPE_CUBE_ARRAY
    A cube map array image

- ## Method Details

  - ### values

    public static VulkanImageViewKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanImageViewKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant